Fetch all financial institutions
curl --request GET \
--url https://api.brale.xyz/accounts/{account_id}/financial-institutions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brale.xyz/accounts/{account_id}/financial-institutions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brale.xyz/accounts/{account_id}/financial-institutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"financial_institutions": [
{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"name": "Business Checking Account",
"status": "active",
"bank_details": {
"owner": "Jane Doe",
"account_number": "1234567890",
"routing_number": 63108680,
"name": "Example Bank",
"account_type": "checking",
"address": {
"street_line_1": "123 Main St",
"city": "Des Moines",
"state": "Iowa",
"zip": "12345",
"street_line_2": "Apt C"
}
}
}
]
}Financial institutions
Fetch all financial institutions
deprecated
Returns all financial institutions associated with the given account.
GET
/
accounts
/
{account_id}
/
financial-institutions
Fetch all financial institutions
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.
Authorizations
Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.
Path Parameters
The ID of the account
Pattern:
^[a-zA-Z0-9]{26}$Example:
"2VcUIIsgARwVbEGlIYbhg6fGG57"
Response
200 - */*
A list of financial institutions
Show child attributes
Show child attributes
Was this page helpful?
⌘I